1. Settlements
LitPRO API
  • Getting Started
  • Claimants
    • Get Claimants
      GET
    • Create Claimant
      POST
    • Get Claimant
      GET
    • Get Claimant Enrollments
      GET
    • Add Claimant Document
      POST
    • Update an Existing Claimant
      PUT
  • Settlements
    • Get Settlements
      GET
    • Create Settlement
      POST
    • Get Settlement
      GET
    • Update an Existing Settlement
      PUT
  • Liens
    • Get Liens
      GET
    • Get Lien
      GET
  • Projects
    • Get Projects
      GET
  • Invoices
    • Get Invoices
      GET
    • Get Invoice
      GET
  • Schemas
    • Sample Schemas
      • Settlements
      • Claimants
  1. Settlements

Get Settlement

GET
/settlements/{id}

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Responses

🟢200OK
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://portal.litpro.com/api/v1/settlements/86869' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "data": {
        "id": 0,
        "client": "string",
        "project": "string",
        "medicare_payments": "string",
        "medicaid_payments": null,
        "workers_compensation_payments": null,
        "other_lien_payments": null,
        "other_lien_type": null,
        "private_lien_payments": "string",
        "private_lien_type": null,
        "is_disbursement_held": null,
        "is_not_payable": true,
        "defendant": "string",
        "is_pre_1980": true,
        "funded_on": null,
        "funded_amount": "string",
        "offset_amount": null,
        "attorney_fee_amount": "string",
        "case_expense_amount": "string",
        "settlement_on": "string",
        "attorney_fees_percentage": null,
        "created_at": "string",
        "updated_at": "string"
    }
}
Modified at 2025-10-04 03:11:24
Previous
Create Settlement
Next
Update an Existing Settlement